---
- name: Vérification de la présence des paramètres d'entrées dans les variables
  ansible.builtin.fail:
    msg: |
      La variable {{ item }} est obligatoire pour utiliser le role.
      Veuillez la renseigner dans le dossier host_vars.
  when:
    - item is not defined
  loop:
    - nodejs_version
    - ruby_version

- name: Install packages for RH8
  ansible.builtin.include_tasks: install-ruby-rh8.yml
  when: (ansible_facts['os_family'] == "RedHat" and ansible_facts['distribution_major_version'] == 8)

- name: Install packages for Debian/Ubuntu
  ansible.builtin.include_tasks: install-ruby-apt.yml
  when: ansible_pkg_mgr == "apt"
